#!/bin/sh

cc  -Wall -Winvalid-pch -O0 -g -fPIC -o c_accessing_zlib.c.o -c c_accessing_zlib.c
rm -f libc_accessing_zlib.a && ar csrDT libc_accessing_zlib.a c_accessing_zlib.c.o
rustc -C linker=cc -C debug-assertions=yes -C overflow-checks=no --crate-type bin -g --crate-name prog --emit link=prog --out-dir . -Clink-arg=libc_accessing_zlib.a -Clink-arg=`echo /usr/lib/*/libz.a` -L. prog.rs
